aboutsummaryrefslogtreecommitdiffstats
path: root/unstable/haproxy/APKBUILD
diff options
context:
space:
mode:
authorroot <root@b-25-6elab-vsrv-1.(none)>2009-04-22 17:37:39 +0000
committerroot <root@b-25-6elab-vsrv-1.(none)>2009-04-22 17:37:39 +0000
commit7ee870731a325dd6abe932bc8b511da2f2c89fde (patch)
tree97298399635b01a5925c59c15276d0a0a980c0f0 /unstable/haproxy/APKBUILD
parent9621be977f49972d1f29819f111c1cd44f786f16 (diff)
downloadaports-7ee870731a325dd6abe932bc8b511da2f2c89fde.tar.gz
aports-7ee870731a325dd6abe932bc8b511da2f2c89fde.tar.bz2
aports-7ee870731a325dd6abe932bc8b511da2f2c89fde.tar.xz
unstable/haproxy Initial Commit
Diffstat (limited to 'unstable/haproxy/APKBUILD')
-rw-r--r--unstable/haproxy/APKBUILD27
1 files changed, 27 insertions, 0 deletions
diff --git a/unstable/haproxy/APKBUILD b/unstable/haproxy/APKBUILD
new file mode 100644
index 0000000000..2f61f5642b
--- /dev/null
+++ b/unstable/haproxy/APKBUILD
@@ -0,0 +1,27 @@
+# Contributor: Michael Mason <ms13sp@gmail.com>
+# Maintainer: Michael Mason <ms13sp@gmail.com>
+pkgname=haproxy
+pkgver=1.3.17
+pkgrel=0
+pkgdesc="A TCP/HTTP reverse proxy for high availability environments"
+url="http://haproxy.1wt.eu"
+license="GPL"
+depends="uclibc"
+makedepends=""
+install=
+subpackages=""
+source="http://haproxy.1wt.eu/download/1.3/src/$pkgname-$pkgver.tar.gz
+ haproxy.initd"
+
+build() {
+ cd "$srcdir/$pkgname-$pkgver"
+
+ make TARGET=linux26 || return 1
+ make DESTDIR="$pkgdir" install
+
+ install -m755 -D "$srcdir"/$pkgname.initd "$pkgdir"/etc/init.d/$pkgname
+ # install -m644 -D "$srcdir"/$pkgname.confd "$pkgdir"/etc/conf.d/$pkgname
+}
+
+md5sums="423ad955828a2de1803410a4405696f2 haproxy-1.3.17.tar.gz
+a7c6178dc4078fa233084ee36c8b440c haproxy.initd"